#!/bin/bash

# This script starts the BahiaMR team.

# endereço do host que o cliente irá conectar
host=$1

# porta a ser usada normalmente, 3310 azul e 3311 amarelo
port_team=$2

#1 stands for blue, 2 for yellow
team_id=0

if [ "$port_team" = 3310 ]; then
	team_id=1
else if [ "$port_team" = 3311 ]; then
	team_id=2
fi
fi

echo "Id definido para o time: ${team_id} "

# a quantidade de rc_id depende do número de jogadores em campo.Ex: dois jogadores só existirá rc_id_1 = 1 and rc_id_2 = 2
rc_id_1=5
rc_id_2=6
rc_id_3=7
rc_id_4=8
rc_id_5=9

# a quantidade de vt_id depende do número de jogadores em campo.Ex: dois jogadores só existirá vt_id_1 = 1 and vt_id_2 = 2
vt_id_1=5
vt_id_2=6
vt_id_3=7
vt_id_4=8
vt_id_5=9

# para esperar entre a conexao de um jogador e outro
marasmo=2

# Diretorio do executavel
dir="Debug"
# Nome do executavel
prog="./BahiaMR"

echo "Connecting: "
   ${prog} -h ${host} -p ${port_team} -r ${rc_id_1} -v ${vt_id_1} -t ${team_id} -c configGO.ini &
sleep ${marasmo}
   ${prog} -h ${host} -p ${port_team} -r ${rc_id_2} -v ${vt_id_2} -t ${team_id} -c configZE.ini &
sleep ${marasmo}
   ${prog} -h ${host} -p ${port_team} -r ${rc_id_3} -v ${vt_id_3} -t ${team_id} -c configZD.ini &
sleep ${marasmo}
   ./BahiaMRAtacante4 -h ${host} -p ${port_team} -r ${rc_id_4} -v ${vt_id_4} -t ${team_id} -c configAE.ini &
sleep ${marasmo}
   ./BahiaMRAtacante4 -h ${host} -p ${port_team} -r ${rc_id_5} -v ${vt_id_5} -t ${team_id} -c configAD.ini &
sleep ${marasmo}
read
